# $Revision: 1.156 $, $Date: 2010/04/10 19:57:51 $
#
# Conditional build:
%bcond_with	dc1394		# build DC 1394 video input plugin
%bcond_with	avc1394		# build AVC 1394 video input plugin

%define		ver	%(echo %{version} | tr . _)
Summary:	Portable Windows Libary
Summary(pl.UTF-8):	Biblioteka zapewniająca przenośność między Windows i Uniksami
Summary(pt_BR.UTF-8):	Biblioteca Windows Portavel
Name:		pwlib
Version:	1.11.1
Release:	4
Epoch:		0
License:	MPL 1.0
Group:		Libraries
Source0:	http://www.voxgratia.org/releases/%{name}-v%{ver}-src.tar.gz
# Source0-md5:	8b7a7a2ed8da6792006922476dd3b2f3
Patch0:		%{name}-mak_files.patch
Patch1:		%{name}-libname.patch
Patch2:		%{name}-bison-pure.patch
Patch3:		%{name}-opt.patch
Patch4:		%{name}-lib64.patch
Patch5:		%{name}-API.patch
Patch6:		%{name}-sparc64.patch
URL:		http://www.voxgratia.org/
BuildRequires:	SDL-devel
BuildRequires:	alsa-lib-devel >= 1.0.1
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bison >= 1.875
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	esound-devel
BuildRequires:	expat-devel
BuildRequires:	flex
%{?with_avc1394:BuildRequires:	libavc1394-devel}
%{?with_dc1394:BuildRequires:	libdc1394-devel < 2.0.0}
BuildRequires:	libdv-devel
BuildRequires:	libraw1394-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	openssl-devel >= 0.9.7d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PWLib is a moderately large class library that has its genesis many
years ago as a method to product applications to run on both Microsoft
Windows and Unix X Window systems. It also was to have a Macintosh
port as well but this never eventuated. Unfortunately this package
contains no GUI code.

%description -l pl.UTF-8
PWLib to dosyć duża biblioteka klas, która wywodzi się ze sposobu na
tworzenie aplikacji działających zarówno pod Microsoft Windows jak i
uniksowych X Window. Miała też mieć port na Macintosha. Ten pakiet nie
zawiera kodu GUI.

%description -l pt_BR.UTF-8
PWLib e uma biblioteca de classes razoavelmente grande que teve seu
inicio ha alguns anos atras como um metodo para produzir aplicacoes
para serem executadas tanto em Windows quanto em sitemas Unix baseados
em X-Window. Tambem possui um porte para Macintosh mas nunca foi
terminado. Esta versao nao contem nenhum codigo para interface.

%package devel
Summary:	Portable Windows Libary development files
Summary(pl.UTF-8):	Pliki dla programistów używających pwlib
Summary(pt_BR.UTF-8):	Pacote de desenvolvimento para a pwlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel
Requires:	cyrus-sasl-devel >= 2.0
Requires:	expat-devel
Requires:	libstdc++-devel
Requires:	openldap-devel >= 2.4.6
Requires:	openssl-devel >= 0.9.7c
Conflicts:	ptlib-devel

%description devel
Header files and libraries for developing applications that use pwlib.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki konieczne do rozwoju aplikacji
używających pwlib.

%description devel -l pt_BR.UTF-8
O pacote pwlib-devel inclui as bibliotecas e arquivos de header para a
biblioteca pwlib.

%package static
Summary:	Portable Windows Libary static libraries
Summary(pl.UTF-8):	Biblioteki statyczne pwlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	ptlib-static

%description static
pwlib static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne pwlib.

%package sound-alsa
Summary:	Alsa audio plugin
Summary(pl.UTF-8):	Wtyczka dźwiękowa Alsa
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib >= 1.0.1
Provides:	pwlib-sound

%description sound-alsa
Alsa audio plugin.

%description sound-alsa -l pl.UTF-8
Wtyczka dźwiękowa Alsa.

%package sound-oss
Summary:	OSS audio plugin
Summary(pl.UTF-8):	Wtyczka dźwiękowa OSS
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	pwlib-sound

%description sound-oss
OSS audio plugin.

%description sound-oss -l pl.UTF-8
Wtyczka dźwiękowa OSS.

%package sound-esd
Summary:	ESD audio plugin
Summary(pl.UTF-8):	Wtyczka dźwiękowa ESD
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	pwlib-sound

%description sound-esd
ESD audio plugin.

%description sound-esd -l pl.UTF-8
Wtyczka dźwiękowa ESD.

%package video-avc
Summary:	AVC 1394 video input plugin
Summary(pl.UTF-8):	Wtyczka wejścia obrazu AVC 1394
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description video-avc
AVC 1394 video input plugin.

%description video-avc -l pl.UTF-8
Wtyczka wejścia obrazu AVC 1394.

%package video-dc
Summary:	DC 1394 video input plugin
Summary(pl.UTF-8):	Wtyczka wejścia obrazu DC 1394
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description video-dc
DC 1394 video input plugin.

%description video-dc -l pl.UTF-8
Wtyczka wejścia obrazu DC 1394.

%package video-v4l
Summary:	v4l video input plugin
Summary(pl.UTF-8):	Wtyczka wejścia obrazu v4l
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description video-v4l
v4l video input plugin.

%description video-v4l -l pl.UTF-8
Wtyczka wejścia obrazu v4l.

%package video-v4l2
Summary:	v4l2 video input plugin
Summary(pl.UTF-8):	Wtyczka wejścia obrazu v4l2
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description video-v4l2
v4l2 video input plugin.

%description video-v4l2 -l pl.UTF-8
Wtyczka wejścia obrazu v4l2.

%prep
%setup -q -n pwlib_v%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%if "%{_lib}" == "lib64"
%patch4 -p1
%endif
%patch5 -p1
%ifarch sparc64
%patch6 -p1
%endif

ln -sf make bin

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure \
	--enable-plugins \
	--enable-v4l2 \
	%{!?with_avc1394:--disable-avc} \
	%{!?with_dc1394:--disable-dc}

dir=$(pwd)
%{__make} %{?debug:debugshared}%{!?debug:optshared} \
	PWLIBDIR="$dir" \
	PWLIBMAKEDIR="$dir/make" \
	PW_LIBDIR="$dir/lib" \
	OPTCCFLAGS="%{rpmcflags} %{!?debug:-DNDEBUG}" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}/%{name}}

dir=$(pwd)
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PWLIBDIR="$dir" \
	PWLIBMAKEDIR="$dir/make" \
	PW_LIBDIR="$dir/lib" \

cp -pd lib/lib*.a $RPM_BUILD_ROOT%{_libdir}
cp -a version.h $RPM_BUILD_ROOT%{_includedir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_libdir}/libpt*.so.*.*.*
%dir %{_libdir}/pwlib
%dir %{_libdir}/pwlib/devices
%dir %{_libdir}/pwlib/devices/sound
%dir %{_libdir}/pwlib/devices/videoinput

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libpt*.so
%{_includedir}/ptclib
%{_includedir}/ptlib
%{_includedir}/pwlib
%{_includedir}/*.h
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/make
%{_datadir}/%{name}/make/*.mak

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files sound-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pwlib/devices/sound/alsa_pwplugin.so

%files sound-oss
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pwlib/devices/sound/oss_pwplugin.so

%files sound-esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pwlib/devices/sound/esd_pwplugin.so

%if %{with avc1394}
%files video-avc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pwlib/devices/videoinput/avc_pwplugin.so
%endif

%if %{with dc1394}
%files video-dc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pwlib/devices/videoinput/dc_pwplugin.so
%endif

%files video-v4l
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pwlib/devices/videoinput/v4l_pwplugin.so

%files video-v4l2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pwlib/devices/videoinput/v4l2_pwplugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pwlib.spec,v $
Revision 1.156  2010/04/10 19:57:51  arekm
- rel 4; fix build with new openssl

Revision 1.155  2010/04/10 19:30:51  arekm
- release 3

Revision 1.154  2010/01/22 20:57:46  sparky
- BR: esound-devel

Revision 1.153  2010/01/22 20:32:29  arekm
- resurrect proper spec rev

Revision 1.149  2009/12/30 16:15:11  glen
- up to 1.11.1; add -sound-esd package

Revision 1.148  2008/09/13 12:51:30  hawk
- added avc1394 bcond, disabled by default (avc video plugin uses obsolete
  API which was removed in libraw1394 2.0.0, needs rewrite which is not
  going to happen probably)
- fixed dc1394 bcond (really disable, no matter if libdc1394-devel is
  installed or not)

Revision 1.147  2008/08/26 18:21:22  arekm
- release 5

Revision 1.146  2008/06/28 20:11:56  arekm
- release 4

Revision 1.145  2008-03-27 02:42:43  sls
- added bcond dc1394

Revision 1.144  2008-02-24 17:17:52  glen
- release 3

Revision 1.143  2007-11-28 18:19:09  tommat
- added sparc64 patch

Revision 1.142  2007-11-03 12:10:11  baggins
- rel 2

Revision 1.141  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.140  2007/09/19 20:54:57  aflinta
- up to 1.10.10

Revision 1.139  2007/06/15 20:49:03  areq
- PWLib v1.10.3 - back to stable release

Revision 1.138  2007/06/15 20:35:40  areq
- 1.11.1
- new URL

Revision 1.137  2007/04/18 17:36:02  deejay1
- rebuild with new libstdc++
- rel. 2

Revision 1.136  2007/04/13 10:53:49  patrys
- 1.10.7

Revision 1.135  2007/03/11 17:25:37  rotom
- up to 1.10.5

Revision 1.134  2007/02/15 20:13:51  rotom
- up to 1.10.4

Revision 1.133  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.132  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.131  2007/01/22 17:58:43  dzeus
- up to 1.10.3

Revision 1.130  2006/12/23 13:16:22  czarny
- API patch to build other openh323 stuff
- rel2

Revision 1.129  2006/11/12 19:35:09  rotom
- up to 1.10.2

Revision 1.128  2006/08/27 16:22:48  glen
- minimize calling `pwd`

Revision 1.127  2006/08/27 16:07:27  rotom
- up to 1.10.1

Revision 1.126  2006/08/09 11:33:07  arekm
- rel 2

Revision 1.125  2006/05/26 20:38:06  ankry
- standarized

Revision 1.124  2006/03/25 19:48:26  wolvverine
- reverted to 1.120

Revision 1.120  2006/03/13 15:45:28  freetz
- 1.10.0

Revision 1.119  2006/02/17 13:59:14  aflinta
- up to version 1.9.3, added v4l2 subpackage

Revision 1.118  2006/01/22 19:45:40  qboosh
- updated mak_files patch is back

Revision 1.117  2006/01/20 05:34:54  aredridel
- up to 1.9.2

Revision 1.116  2006/01/17 23:43:43  baggins
- release 6
- fix compilation with openldap 2.3

Revision 1.115  2006/01/17 12:26:09  baggins
- release 5
- BR openldap >= 2.3

Revision 1.114  2005/10/30 12:27:16  arekm
- rel 4

Revision 1.113  2005/08/13 19:59:45  qboosh
- missing dir, release 3

Revision 1.112  2005/06/04 23:25:20  qboosh
- more general lib64 if

Revision 1.111  2005/06/04 20:21:34  speedy
- fix 64bit platforms.
- release 2

Revision 1.110  2005/05/20 08:35:53  radzio
- revert last changes (should be made on AC-branch)

Revision 1.108  2005/05/18 17:53:44  radzio
- update to 1.9.0
- add /usr/include/pwlib/version.h file

Revision 1.107  2005/03/29 09:37:56  aflinta
- release 1

Revision 1.106  2005/03/25 21:26:08  qboosh
- autoconf >= 2.50

Revision 1.105  2005/03/25 19:57:55  qboosh
- -devel R: cyrus-sasl-devel

Revision 1.104  2005/03/25 19:47:47  qboosh
- bugfix in mak_files patch, BR: cyrus-sasl-devel >= 2

Revision 1.103  2005/03/25 07:43:27  qboosh
- patches are back (mak_files,libname updated)

Revision 1.102  2005/03/20 16:08:12  aflinta
- up to version 1.8.4

Revision 1.101  2005/02/28 21:42:54  qboosh
- unified

Revision 1.100  2004/10/31 21:05:47  paladine
- spaces->tabs
- formatting

Revision 1.99  2004/10/24 21:04:47  paladine
- spelling fixes, uppercases, etc.

Revision 1.98  2004/05/04 18:36:02  havner
- rel up for libdv.so.2

Revision 1.97  2004/04/13 18:33:35  adamg
- pass CXX

Revision 1.96  2004/04/05 06:31:44  aflinta
- up to version 1.6.6

Revision 1.95  2004/04/03 23:35:57  qboosh
- seems to work fine, release 3

Revision 1.94  2004/04/03 22:24:31  qboosh
- release 2.1 to test lib64-aware libdirs in updated mak_files patch

Revision 1.93  2004/04/03 19:54:06  averne
- rel2 for rebuild with new openldap

Revision 1.92  2004/03/22 22:25:58  aflinta
- refetch dirctly form URL

Revision 1.91  2004/03/22 22:17:10  aflinta
- fetch source from dropin

Revision 1.90  2004/03/22 22:09:03  aflinta
- up to version 1.6.5

Revision 1.89  2004/03/22 20:10:14  qboosh
- removed URL to older sources on gnomemeeting.org

Revision 1.88  2004/03/22 20:08:07  qboosh
- added missing dirs, build dc video input plugin

Revision 1.87  2004/03/21 20:48:32  aflinta
- enabled plugins and added subpackages
- release 3

Revision 1.86  2004/03/19 23:46:34  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.85  2004/03/19 15:02:19  qboosh
- removed mistaken epoch from deps, release 2

Revision 1.84  2004/03/19 14:44:38  averne
- fixed epoch:version issue

Revision 1.83  2004/03/19 12:21:41  qboosh
- added fix for libpt.so symlink to mak_files patch; release 1

Revision 1.82  2004/03/17 15:17:56  qboosh
- updated to 1.6.4 (includes security fixes, CAN-2004-0097)
- updated mak_files patch, removed obsolete DESTDIR patch

Revision 1.81  2004/03/16 23:06:37  qboosh
- release 3

Revision 1.80  2004/03/16 22:51:24  qboosh
- refresh config.sub for amd64, strict internal deps

Revision 1.79  2004/03/16 13:48:04  averne
- rel2 for rebuild with new openldap

Revision 1.78  2003/09/30 20:18:32  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.77  2003/09/03 22:45:15  qboosh
- more fixes in mak_files patch

Revision 1.76  2003/09/03 19:19:12  qboosh
- 1.5.2, updated DESTDIR,mak_files,libname patches

Revision 1.75  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.74  2003/07/18 11:38:35  blues
- reverted last changes - moved to branch for RA

Revision 1.73  2003/07/18 08:44:58  blues
- added ugly workaround for linking pwlib with older library (I think)

Revision 1.72  2003/07/18 08:32:08  blues
- now it builds on systems with old libdv

Revision 1.71  2003/07/18 08:10:39  blues
- start preparing it to build with older libs (libdv)

Revision 1.70  2003/07/18 07:59:19  blues
- oops

Revision 1.69  2003/07/18 07:58:52  blues
- cosmetics

Revision 1.68  2003/07/13 19:24:06  qboosh
- added PWLIB*DIR to make install (should help without pwlib-devel, untested)

Revision 1.67  2003/07/13 14:50:27  aflinta
- we need newer bison

Revision 1.66  2003/07/13 14:07:45  qboosh
- changed DESTDIR patch to make dirs and install only necessary files
  (gcc_filter is useless, uses non-existing file)
- mak_files patch is back (updated for 1.5.0 and new build process)
- added bison-pure patch (for SEGV in time string parsing)
- removed obsolete EOF patch

Revision 1.65  2003/07/13 10:14:14  qboosh
- removed duplicated lines from DESTDIR patch
- missing dir, more deps

Revision 1.64  2003/07/12 22:54:32  freetz
- added missing files
- install fixes

Revision 1.63  2003/07/12 19:40:50  freetz
- updated to 1.5.0
- adapted for new build type (with configure script)
- bcond for alternative buil with libdc1394
- updated BRs

Revision 1.62  2003/05/28 13:01:27  malekith
- massive attack: source-md5

Revision 1.61  2003/05/25 06:25:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.60  2003/04/18 17:23:25  qboosh
- added asnparser(1) manual

Revision 1.59  2003/04/18 09:38:16  qboosh
- updated to 1.4.11
- added opt patch with some optflags fixes
- fixed License (MPL 1.0 not GPL)
- little better pl summary

Revision 1.58  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.57  2003/01/12 19:36:54  aflinta
- updated to version 1.4.7

Revision 1.56  2002/12/17 22:07:26  aflinta
- updated to version 1.4.6

Revision 1.55  2002/11/17 22:18:08  marcus
- updated to 1.4.4

Revision 1.54  2002/11/13 20:30:06  aflinta
- updated to version 1.4.3

Revision 1.53  2002/10/28 09:12:45  marcus
- updated to 1.4.0

Revision 1.52  2002/10/24 10:42:01  aflinta
- updated to version 1.3.11

Revision 1.51  2002/10/16 19:40:32  aflinta
- updated to version 1.3.10

Revision 1.50  2002/09/29 16:41:04  klakier
- removed 116.patch - it breaks dsp detection
- STBR

Revision 1.49  2002/09/25 23:09:36  aflinta
- updated to version 1.3.8

Revision 1.48  2002/09/18 15:14:58  aflinta
- updated to version 1.3.7

Revision 1.47  2002/08/03 22:07:21  klakier
- ver 1.3.4

Revision 1.46  2002/08/03 21:20:51  klakier
- ver 1.3.3

Revision 1.45  2002/07/09 15:34:10  marcus
- updated to 1.3.2

Revision 1.44  2002/06/02 13:30:29  aflinta
- updated to version 1.2.19
- removed video patch which is now included in sources

Revision 1.43  2002/04/12 20:40:58  mmazur
- finally works like supposed to; rel 3; STBR

Revision 1.42  2002/04/11 18:40:59  kloczek
- merge translations from Conectiva and adapterize spec file.

Revision 1.41  2002/04/11 18:23:48  misiek
- use __cc and __cxx

Revision 1.40  2002/04/11 18:17:58  mmazur
- rel 2; STBR

Revision 1.39  2002/04/09 22:12:26  mmazur
- added flex to BR

Revision 1.38  2002/04/06 22:45:00  mmazur
- added a patch from gnomemeeting.org... Not one failed hunk, though
  I would wait till somebody really needs it - we are going stable aren't we :)
- NOTE: after rebuilding pwlib one needs to rebuild openh323 with the new
  pwlib for the changes to take effect

Revision 1.37  2002/04/05 19:56:54  mmazur
- merged with DEVEL; updated to 1.2.13; rel1; STBR

Revision 1.36.2.2  2002/03/27 10:45:43  mmazur
- my mistake... this should go for ra/test not nest... kicked gcc2

Revision 1.36.2.1  2002/03/25 20:27:14  mmazur
- well... rel1 for version .13... STBR for NEST if you dare (should I
  add gcc2 to BR?)

Revision 1.36  2002/03/14 17:51:17  martii
-  EOF patch - ppc adapted

Revision 1.35  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:14:43  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2002/01/17 02:41:01  kloczek
- updated to 1.2.11 (bugfix release).

Revision 1.31  2002/01/11 10:29:11  qboosh
- adapterized, base pl description; release 3

Revision 1.30  2002/01/10 00:55:46  kloczek
- !sort BuildRequires rules.

Revision 1.29  2002/01/09 00:38:37  misiek
- missing requires in devel subpackages

Revision 1.28  2002/01/08 20:45:48  misiek
- snd detection fix

Revision 1.27  2002/01/08 18:13:55  misiek
- link with expat, too; release 2

Revision 1.26  2002/01/07 23:50:39  misiek
- updated to 1.2.9

Revision 1.25  2001/11/10 18:18:04  kloczek
- updated to 1.2.4.

Revision 1.24  2001/08/31 19:37:21  kloczek
- release 2,
- link library with libstsdc++,
- compile all C++ code with -fno-rtti -fno-exceptions (~40% smaller binaries),
- do not include SONAME symlink in %files.

Revision 1.23  2001/08/16 23:34:14  kloczek
- updated to 1.1.36.

Revision 1.22  2001/08/09 08:45:54  jajcus
- Version: 1.1.35

Revision 1.21  2001/07/15 04:35:17  kloczek
- release 2,
- added missing BuildRequires for openssl-devel,
- rebuild on openssl 0.9.6a.

Revision 1.20  2001/07/13 09:49:59  kloczek
- updated to 1.1.34.

Revision 1.19  2001/07/05 07:06:07  kloczek
- spec adapterized.

Revision 1.18  2001/07/04 17:14:28  jajcus
- Version: 1.1.33

Revision 1.17  2001/07/04 14:50:45  jajcus
- version 1.1.31 (may be net the latest, I made this spec a month ago)

Revision 1.16  2001/05/11 16:21:47  kloczek
- release 5.

Revision 1.15  2001/05/11 16:00:17  mis
- fixed %files

Revision 1.14  2001/01/17 12:39:20  kloczek
- fixed %install for non-x86 archs.

Revision 1.13  2001/01/17 11:09:58  kloczek
- release 4.

Revision 1.12  2001/01/17 08:35:29  qboosh
- s/X-Windows/X Window/

Revision 1.11  2001/01/11 21:42:36  waszi

- fixed sed invocation

Revision 1.10  2001/01/11 14:36:57  jajcus
- some typos

Revision 1.9  2001/01/10 14:53:33  jajcus
- %{debug} switch handling fixed

Revision 1.8  2001/01/10 14:48:15  jajcus
- Release: 3
- library names changed (we don't need sytem type and such in library name)
- *.mak files changed so apps compilations won't try to build pwlib
- %{debug} macro used together with pwlib's building system
- only dynamically-linked version of asnparser is built

Revision 1.7  2001/01/08 09:50:13  kloczek
- release 2.

Revision 1.6  2001/01/06 11:08:13  jajcus
- these are not X11 libraries

Revision 1.5  2001/01/04 19:50:01  kloczek
- small simplifications in %install.

Revision 1.4  2001/01/04 19:31:42  jajcus
- prefix changed to /usr, as the sources don't contain any GUI code

Revision 1.3  2001/01/04 12:48:11  jajcus
- while installing update *.mak files

Revision 1.2  2001/01/04 10:40:49  jajcus
- *.mak files are needed in -devel package

Revision 1.1  2001/01/04 09:46:14  jajcus
- initial spec
